<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_45) on Mon Mar 14 09:25:41 GMT 2016 -->
<title>MetricsConfiguration</title>
<meta name="date" content="2016-03-14">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MetricsConfiguration";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MetricsConfiguration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/stefanomantini/config/Constants.html" title="class in com.stefanomantini.config"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/stefanomantini/config/MetricsConfiguration.GraphiteRegistry.html" title="class in com.stefanomantini.config"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/stefanomantini/config/MetricsConfiguration.html" target="_top">Frames</a></li>
<li><a href="MetricsConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.stefanomantini.config</div>
<h2 title="Class MetricsConfiguration" class="title">Class MetricsConfiguration</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.ryantenney.metrics.spring.config.annotation.MetricsConfigurerAdapter</li>
<li>
<ul class="inheritance">
<li>com.stefanomantini.config.MetricsConfiguration</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.ryantenney.metrics.spring.config.annotation.MetricsConfigurer, org.springframework.beans.factory.DisposableBean</dd>
</dl>
<hr>
<br>
<pre>@Configuration
 @EnableMetrics(proxyTargetClass=true)
public class <span class="typeNameLabel">MetricsConfiguration</span>
extends com.ryantenney.metrics.spring.config.annotation.MetricsConfigurerAdapter</pre>
<div class="block">Configuring metric registries for JMX</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Stefano Mantini</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/config/MetricsConfiguration.GraphiteRegistry.html" title="class in com.stefanomantini.config">MetricsConfiguration.GraphiteRegistry</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private com.codahale.metrics.health.HealthCheckRegistry</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/config/MetricsConfiguration.html#healthCheckRegistry">healthCheckRegistry</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private org.slf4j.Logger</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/config/MetricsConfiguration.html#log">log</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private com.codahale.metrics.MetricRegistry</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/config/MetricsConfiguration.html#metricRegistry">metricRegistry</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/config/MetricsConfiguration.html#PROP_METRIC_REG_JVM_BUFFERS">PROP_METRIC_REG_JVM_BUFFERS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/config/MetricsConfiguration.html#PROP_METRIC_REG_JVM_FILES">PROP_METRIC_REG_JVM_FILES</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/config/MetricsConfiguration.html#PROP_METRIC_REG_JVM_GARBAGE">PROP_METRIC_REG_JVM_GARBAGE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/config/MetricsConfiguration.html#PROP_METRIC_REG_JVM_MEMORY">PROP_METRIC_REG_JVM_MEMORY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/config/MetricsConfiguration.html#PROP_METRIC_REG_JVM_THREADS">PROP_METRIC_REG_JVM_THREADS</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/config/MetricsConfiguration.html#MetricsConfiguration--">MetricsConfiguration</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>com.codahale.metrics.health.HealthCheckRegistry</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/config/MetricsConfiguration.html#getHealthCheckRegistry--">getHealthCheckRegistry</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>com.codahale.metrics.MetricRegistry</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/config/MetricsConfiguration.html#getMetricRegistry--">getMetricRegistry</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/stefanomantini/config/MetricsConfiguration.html#init--">init</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.ryantenney.metrics.spring.config.annotation.MetricsConfigurerAdapter">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.ryantenney.metrics.spring.config.annotation.MetricsConfigurerAdapter</h3>
<code>configureReporters, destroy, registerReporter</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="PROP_METRIC_REG_JVM_MEMORY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROP_METRIC_REG_JVM_MEMORY</h4>
<pre>private static final&nbsp;java.lang.String PROP_METRIC_REG_JVM_MEMORY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.stefanomantini.config.MetricsConfiguration.PROP_METRIC_REG_JVM_MEMORY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROP_METRIC_REG_JVM_GARBAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROP_METRIC_REG_JVM_GARBAGE</h4>
<pre>private static final&nbsp;java.lang.String PROP_METRIC_REG_JVM_GARBAGE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.stefanomantini.config.MetricsConfiguration.PROP_METRIC_REG_JVM_GARBAGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROP_METRIC_REG_JVM_THREADS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROP_METRIC_REG_JVM_THREADS</h4>
<pre>private static final&nbsp;java.lang.String PROP_METRIC_REG_JVM_THREADS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.stefanomantini.config.MetricsConfiguration.PROP_METRIC_REG_JVM_THREADS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROP_METRIC_REG_JVM_FILES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROP_METRIC_REG_JVM_FILES</h4>
<pre>private static final&nbsp;java.lang.String PROP_METRIC_REG_JVM_FILES</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.stefanomantini.config.MetricsConfiguration.PROP_METRIC_REG_JVM_FILES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROP_METRIC_REG_JVM_BUFFERS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROP_METRIC_REG_JVM_BUFFERS</h4>
<pre>private static final&nbsp;java.lang.String PROP_METRIC_REG_JVM_BUFFERS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.stefanomantini.config.MetricsConfiguration.PROP_METRIC_REG_JVM_BUFFERS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="log">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>log</h4>
<pre>private final&nbsp;org.slf4j.Logger log</pre>
</li>
</ul>
<a name="metricRegistry">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>metricRegistry</h4>
<pre>private&nbsp;com.codahale.metrics.MetricRegistry metricRegistry</pre>
</li>
</ul>
<a name="healthCheckRegistry">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>healthCheckRegistry</h4>
<pre>private&nbsp;com.codahale.metrics.health.HealthCheckRegistry healthCheckRegistry</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MetricsConfiguration--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MetricsConfiguration</h4>
<pre>public&nbsp;MetricsConfiguration()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMetricRegistry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMetricRegistry</h4>
<pre>@Bean
public&nbsp;com.codahale.metrics.MetricRegistry&nbsp;getMetricRegistry()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getMetricRegistry</code>&nbsp;in interface&nbsp;<code>com.ryantenney.metrics.spring.config.annotation.MetricsConfigurer</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getMetricRegistry</code>&nbsp;in class&nbsp;<code>com.ryantenney.metrics.spring.config.annotation.MetricsConfigurerAdapter</code></dd>
</dl>
</li>
</ul>
<a name="getHealthCheckRegistry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHealthCheckRegistry</h4>
<pre>@Bean
public&nbsp;com.codahale.metrics.health.HealthCheckRegistry&nbsp;getHealthCheckRegistry()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getHealthCheckRegistry</code>&nbsp;in interface&nbsp;<code>com.ryantenney.metrics.spring.config.annotation.MetricsConfigurer</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getHealthCheckRegistry</code>&nbsp;in class&nbsp;<code>com.ryantenney.metrics.spring.config.annotation.MetricsConfigurerAdapter</code></dd>
</dl>
</li>
</ul>
<a name="init--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>init</h4>
<pre>@PostConstruct
public&nbsp;void&nbsp;init()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MetricsConfiguration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/stefanomantini/config/Constants.html" title="class in com.stefanomantini.config"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/stefanomantini/config/MetricsConfiguration.GraphiteRegistry.html" title="class in com.stefanomantini.config"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/stefanomantini/config/MetricsConfiguration.html" target="_top">Frames</a></li>
<li><a href="MetricsConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
